# coding: utf-8
#**********************************
#  　高校生の運動能力検査　　　　 *
#**********************************

import numpy as np
import numpy.polynomial.polynomial as P
import pandas as pd
import sklearn.metrics as metrics
import matplotlib.pyplot as plt
%matplotlib inline 

#　csvデターの読み込み
df = pd.read_csv("highscool.csv",sep=",",header=0)
X=pd.DataFrame(df["立ち幅跳び"], dtype=float)
Y=pd.DataFrame(df["50ｍ走"], dtype=float)
X = np.array(X.T)
X = X[0,:100]
Y = np.array(Y.T)
Y = Y[0,:100]

# 一次関数で多項式近似
coef = P.polyfit(X, Y,1)

# 近似関数の表示
print("y = " + str(coef[0]) +"+" + str(coef[1]) + "*x")

# 近似曲線のyの値を求める
y = P.polyval(X, coef)

# 決定係数R2
r2 = metrics.r2_score(Y, y)

# 決定係数の出力
print(" R2 = ",r2)

# 元データと近似曲線をプロット
fig, ax = plt.subplots()
ax.scatter(X, Y)
ax.plot(X, y)
ax.set_xlabel("standing jump")
ax.set_ylabel("50ｍ run")
ax.set_title("50m run vs standing jump")

plt.show()